agency-board
GET /v1/agency/boards/{boardId}/automations/{ruleId}
One rule.
Autenticazione
Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X GET https://api.zinndigital.com/v1/agency/boards/{boardId}/automations/{ruleId} \
-H "Authorization: Bearer zdk_live_…"Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
boardId (path) | Uuid | Sì | Project board ID (UUIDv7). |
ruleId (path) | Uuid | Sì | Automation rule ID (UUIDv7). |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
id | Uuid | Sì | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
board_id | Uuid | Sì | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
name | string | Sì | — |
description | string | No | — |
trigger | string | Sì | — |
trigger_config | object | No | — |
conditions | BoardAutomationCondition[] | No | — |
actions | BoardAutomationAction[] | No | — |
status | BoardAutomationStatus | Sì | `suspended` means WE paused it after repeated failure and it carries a reason the customer has not read. It is a third state rather than a reuse of `disabled`, because collapsin… |
position | integer | No | — |
run_count | integer | No | — |
fired_count | integer | No | — |
consecutive_failures | integer | No | — |
suspended_reason | string | No | Why we paused this rule, in authored copy from a closed table — never an exception, a status or a message from our own code. The per-failure detail lives on each run (`action_re… |
suspended_at | string | No | — |
last_fired_at | string | No | — |
last_run_at | string | No | — |
next_due_at | string | No | Only set for a wall-clock rule. Null for a rule on a live act. |
created_at | string | No | — |
updated_at | string | No | — |
Errori che questo endpoint può restituire
401 · 403 · 404